lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ios_analytics_cli/version'
require 'ios_analytics_cli/info'

Gem::Specification.new do |spec|
  spec.name          = 'ios_analytics_cli'
  spec.version       = Analytics::VERSION
  spec.authors       = ['Mario Galijot']
  spec.email         = ['mario.galijot@infinum.com']

  spec.summary       = Analytics.summary
  spec.description   = Analytics.description
  spec.homepage      = 'https://github.com/infinum/ios-analytics-cli/'
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  # the dependencies that are used in development env
  spec.add_development_dependency 'bundler', '~> 1.17'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubocop', '~> 0.82.0'

  # the dependencies that are used in all envs
  spec.add_dependency 'commander', '~> 4.5.2'
  spec.add_dependency 'tty-prompt', '~> 0.21.0'
end
